# Uses of Class
org.apache.sysds.runtime.compress.estim.EstimationFactors

Packages that use EstimationFactors
Package
Description
org.apache.sysds.runtime.compress.estim
org.apache.sysds.runtime.compress.estim.encoding

## Uses of EstimationFactors in org.apache.sysds.runtime.compress.estim

Methods in org.apache.sysds.runtime.compress.estim that return EstimationFactors
Modifier and Type
Method
Description
`EstimationFactors`
CompressedSizeInfoColGroup.`getFacts()`
Constructors in org.apache.sysds.runtime.compress.estim with parameters of type EstimationFactors
Modifier
Constructor
Description
``
`CompressedSizeInfoColGroup(IColIndex cols, EstimationFactors facts, long minSize, AColGroup.CompressionType bestCompressionType)`
``
`CompressedSizeInfoColGroup(IColIndex columns, EstimationFactors facts, long minSize, AColGroup.CompressionType bestCompression, IEncode map)`
``
`CompressedSizeInfoColGroup(IColIndex columns, EstimationFactors facts, Set<AColGroup.CompressionType> validCompressionTypes, IEncode map)`
``
`CompressedSizeInfoColGroup(IColIndex cols, EstimationFactors facts, AColGroup.CompressionType bestCompressionType)`

## Uses of EstimationFactors in org.apache.sysds.runtime.compress.estim.encoding

Methods in org.apache.sysds.runtime.compress.estim.encoding that return EstimationFactors
Modifier and Type
Method
Description
`EstimationFactors`
ConstEncoding.`extractFacts(int nRows, double tupleSparsity, double matrixSparsity, CompressionSettings cs)`
`EstimationFactors`
DenseEncoding.`extractFacts(int nRows, double tupleSparsity, double matrixSparsity, CompressionSettings cs)`
`EstimationFactors`
EmptyEncoding.`extractFacts(int nRows, double tupleSparsity, double matrixSparsity, CompressionSettings cs)`
`EstimationFactors`
IEncode.`extractFacts(int nRows, double tupleSparsity, double matrixSparsity, CompressionSettings cs)`
Extract the compression facts for this column group.
`EstimationFactors`
SparseEncoding.`extractFacts(int nRows, double tupleSparsity, double matrixSparsity, CompressionSettings cs)`